> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Forgot Username

> Handles the process for users who have forgotten their username
     *          by verifying the email and sending the username to the user.



## OpenAPI

````yaml post /frontend/forgot_username/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/forgot_username/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Post Forgot Username
      description: |-
        Handles the process for users who have forgotten their username
             *          by verifying the email and sending the username to the user.
      operationId: postForgotUsername
      parameters:
        - name: client_id
          in: path
          description: Client ID associated with the user account
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID associated with the user account
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the process (optional)
          required: true
          schema:
            type: string
      requestBody:
        description: Email of the user for username recovery
        required: true
        content:
          application/json:
            schema:
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
              type: object
      responses:
        '200':
          description: Username recovery process response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    properties:
                      message:
                        type: string
                    type: object
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object

````